at.chipkarte.client.aum.soap

## Class Meldungsdaten

- Object
- - at.chipkarte.client.aum.soap.Meldungsdaten

-     public class Meldungsdaten
      extends Object

  Diese Klasse enthält die vom Benutzer veränderbaren Daten einer AU- oder AF-Meldung.
  Hinweise:
  a.) Wohnanschrift (Strasse, Plz, Ort, Staatencode) - bedingte Pflichtfelder: es müssen entweder alle vier Felder gesetzt oder leer sein
  b.) Abweichende Ausgehzeiten (Von, Bis) - Optional, wenn eines versorgt wird, müssen jeweils beide Parameter der zusammengehörigen Ausgehzeiten gesetzt werden
  c.) DiagnoseCode + DiagnoseCodeTyp bzw. Diagnose - entweder die Diagnose oder der DiagnoseCode gemeinsam mit dem DiagnoseCodeTyp sind gesetzt
  d.) BehandlungsDatum - Pflichtfeld
  e.) RückdatierungsgrundCode - bedingtes Pflichtfeld: muss gesetzt sein, wenn ArbeitsunfaehigVon mehr als einen Arbeitstag vor BehandlungsDatum liegt (Feiertage werden ignoriert, d.h. sie werden als Arbeitstag gerechnet, wenn der Wochentag, auf den sie fallen, ein Arbeitstag ist).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Meldungsdaten()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAbweichendeAusgehzeitBis1()` Ende der abweichenden Ausgehzeit 1.
    `String` | `getAbweichendeAusgehzeitBis2()` Ende der abweichenden Ausgehzeit 2.
    `String` | `getAbweichendeAusgehzeitVon1()` Beginn der abweichenden Ausgehzeit 1.
    `String` | `getAbweichendeAusgehzeitVon2()` Beginn der abweichenden Ausgehzeit 2.
    `String` | `getArbeitsunfaehigBis()` Ende der Arbeitsunfähigkeit.
    `String` | `getArbeitsunfaehigVon()` Beginn der Arbeitsunfähigkeit.
    `String` | `getBehandlungsDatum()` Das Datum der Behandlung.
    `Integer` | `getBerufskrankheit()` Code für vorliegende Berufskrankheit.
    `String` | `getBesondereArbeitsunfaehigkeitsursacheCode()` Code für besondere Arbeitsunfähigkeitsursache.
    `String` | `getBesondereMitteilungAnSVT()` Interne Mitteilung des Arztes an den KVT.
    `Boolean` | `getBettruhe()` Gibt an, ob dem Patienten Bettruhe verordnet wird.
    `String` | `getDiagnose()` Diagnose als Freitext.
    `String` | `getDiagnoseCode()` Diagnosecode.
    `String` | `getDiagnoseCodeTyp()` Das für den Diagnosecode verwendete Codierungssystem.
    `String` | `getGehunfaehigBis()` Ende der Gehunfähigkeit.
    `String` | `getGipsBis()` Datum, bis zu dem ein Gipsverband getragen werden muss.
    `String` | `getKrankenhausaufenthaltBis()` Ende des Krankenhausaufenthalts.
    `String` | `getKrankenhausaufenthaltVon()` Beginn des Krankenhausaufenthalts.
    `String` | `getOrt()` Wohnanschrift - Ort.
    `String` | `getPlz()` Wohnanschrift - Postleitzahl.
    `String` | `getRueckdatierungsgrundCode()` Code für die Begründung der Rückdatierung der Meldung.
    `String` | `getStaatencode()` Wohnanschrift - Staatencode (ISO A3).
    `String` | `getStrasse()` Wohnanschrift - Straße und Nummer.
    `Boolean` | `getStromunfall()` Gibt an, ob es sich um einen Stromunfall handelt.
    `String` | `getSvtCode()` Gibt den Code des KVT an.
    `String` | `getVoraussichtlichArbeitsunfaehigBis()` Voraussichtliches Ende der Arbeitsunfähigkeit.
    `String` | `getWiederbestellung()` Datum der Wiederbestellung.
    `String` | `getZusatzdiagnoseCode()` Code für die Zusatzdiagnose.
    `void` | `setAbweichendeAusgehzeitBis1(String abweichAusgang1Bis)`
    `void` | `setAbweichendeAusgehzeitBis2(String abweichAusgang2Bis)`
    `void` | `setAbweichendeAusgehzeitVon1(String abweichAusgang1Von)`
    `void` | `setAbweichendeAusgehzeitVon2(String abweichAusgang2Von)`
    `void` | `setArbeitsunfaehigBis(String arbeitsunfaehigBis)`
    `void` | `setArbeitsunfaehigVon(String arbeitsunfaehigVon)`
    `void` | `setBehandlungsDatum(String behandlungsDatum)`
    `void` | `setBerufskrankheit(Integer berufskrankheit)`
    `void` | `setBesondereArbeitsunfaehigkeitsursacheCode(String besondereErkrankungTyp)`
    `void` | `setBesondereMitteilungAnSVT(String intMitteilungSVT)`
    `void` | `setBettruhe(Boolean bettruhe)`
    `void` | `setDiagnose(String diagnoseBezeichnung)`
    `void` | `setDiagnoseCode(String diagnoseCode)`
    `void` | `setDiagnoseCodeTyp(String diagnoseCodeSystem)`
    `void` | `setGehunfaehigBis(String gehunfaehigBis)`
    `void` | `setGipsBis(String gipsBis)`
    `void` | `setKrankenhausaufenthaltBis(String anstaltsaufenthaltBis)`
    `void` | `setKrankenhausaufenthaltVon(String anstaltsaufenthaltVon)`
    `void` | `setOrt(String ort)`
    `void` | `setPlz(String plz)`
    `void` | `setRueckdatierungsgrundCode(String rueckdatierungsgrundCode)`
    `void` | `setStaatencode(String staatencode)`
    `void` | `setStrasse(String strasse)`
    `void` | `setStromunfall(Boolean stromunfall)`
    `void` | `setSvtCode(String svtCode)`
    `void` | `setVoraussichtlichArbeitsunfaehigBis(String voraussEndeArbeitsunfaehigkeit)`
    `void` | `setWiederbestellung(String wiederbestellung)`
    `void` | `setZusatzdiagnoseCode(String zusatzICD)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Meldungsdaten

          public Meldungsdaten()

  - ### Method Detail

    - #### getBehandlungsDatum

          public String getBehandlungsDatum()

      Das Datum der Behandlung.
      Format: 10-stellig, TT.MM.JJJJ
      Returns:
        Behandlungsdatum

    - #### setBehandlungsDatum

          public void setBehandlungsDatum(String behandlungsDatum)

    - #### getAbweichendeAusgehzeitBis1

          public String getAbweichendeAusgehzeitBis1()

      Ende der abweichenden Ausgehzeit 1.
      Format: 2-stellig
      mögliche Werte: ganze Stunden, zwischen 01 und 24
      Returns:
        Ende der abweichenden Ausgehzeit 1

    - #### setAbweichendeAusgehzeitBis1

          public void setAbweichendeAusgehzeitBis1(String abweichAusgang1Bis)

    - #### getAbweichendeAusgehzeitVon1

          public String getAbweichendeAusgehzeitVon1()

      Beginn der abweichenden Ausgehzeit 1.
      Format: 2-stellig
      mögliche Werte: ganze Stunden, zwischen 00 und 23
      Returns:
        Beginn der abweichenden Ausgehzeit 1

    - #### setAbweichendeAusgehzeitVon1

          public void setAbweichendeAusgehzeitVon1(String abweichAusgang1Von)

    - #### getAbweichendeAusgehzeitBis2

          public String getAbweichendeAusgehzeitBis2()

      Ende der abweichenden Ausgehzeit 2.
      Format: maximal 2-stellig
      mögliche Werte: ganze Stunden, zwischen 01 und 24
      Returns:
        Ende der abweichenden Ausgehzeit 2

    - #### setAbweichendeAusgehzeitBis2

          public void setAbweichendeAusgehzeitBis2(String abweichAusgang2Bis)

    - #### getAbweichendeAusgehzeitVon2

          public String getAbweichendeAusgehzeitVon2()

      Beginn der abweichenden Ausgehzeit 2.
      Format: maximal 2-stellig
      mögliche Werte: ganze Stunden, zwischen 00 und 23
      Returns:
        Beginn der abweichenden Ausgehzeit 2

    - #### setAbweichendeAusgehzeitVon2

          public void setAbweichendeAusgehzeitVon2(String abweichAusgang2Von)

    - #### getKrankenhausaufenthaltBis

          public String getKrankenhausaufenthaltBis()

      Ende des Krankenhausaufenthalts.
      Muss kleiner oder gleich BehandlungsDatum sein.
      Format: 10-stellig, TT.MM.JJJJ
      Returns:
        Ende des Krankenhausaufenthalts

    - #### setKrankenhausaufenthaltBis

          public void setKrankenhausaufenthaltBis(String anstaltsaufenthaltBis)

    - #### getKrankenhausaufenthaltVon

          public String getKrankenhausaufenthaltVon()

      Beginn des Krankenhausaufenthalts.
      Muss kleiner oder gleich KrankenhausaufenthaltBis und BehandlungsDatum sein.
      Format: 10-stellig, TT.MM.JJJJ
      Returns:
        Beginn des Krankenhausaufenthalts

    - #### setKrankenhausaufenthaltVon

          public void setKrankenhausaufenthaltVon(String anstaltsaufenthaltVon)

    - #### getArbeitsunfaehigBis

          public String getArbeitsunfaehigBis()

      Ende der Arbeitsunfähigkeit.
      ACHTUNG: Der Name dieses Felds bei der Anzeige sollte "Letzter Tag der AU" lauten.
      Muss größer oder gleich ArbeitsunfaehigVon sein.
      Format: 10-stellig, TT.MM.JJJJ
      Returns:
        Ende der Arbeitsunfähigkeit

    - #### setArbeitsunfaehigBis

          public void setArbeitsunfaehigBis(String arbeitsunfaehigBis)

    - #### getArbeitsunfaehigVon

          public String getArbeitsunfaehigVon()

      Beginn der Arbeitsunfähigkeit.
      Format: 10-stellig, TT.MM.JJJJ
      Returns:
        Beginn der Arbeitsunfähigkeit

    - #### setArbeitsunfaehigVon

          public void setArbeitsunfaehigVon(String arbeitsunfaehigVon)

    - #### getBerufskrankheit

          public Integer getBerufskrankheit()

      Code für vorliegende Berufskrankheit.
      Format: 1-stellig
      Mögliche Werte: `Berufskrankheit`
      Returns:
        Berufskrankheit

    - #### setBerufskrankheit

          public void setBerufskrankheit(Integer berufskrankheit)

    - #### getBesondereArbeitsunfaehigkeitsursacheCode

          public String getBesondereArbeitsunfaehigkeitsursacheCode()

      Code für besondere Arbeitsunfähigkeitsursache.
      Format: 3-stellig
      Mögliche Werte: `IAumService#getBesondereArbeitsunfaehigkeitsursacheCodes()`.
      Returns:
        Code für besondere Arbeitsunfähigkeitsursache

    - #### setBesondereArbeitsunfaehigkeitsursacheCode

          public void setBesondereArbeitsunfaehigkeitsursacheCode(String besondereErkrankungTyp)

    - #### getBettruhe

          public Boolean getBettruhe()

      Gibt an, ob dem Patienten Bettruhe verordnet wird.
      Returns:
        Kennzeichen, ob dem Patienten Bettruhe verordnet wird

    - #### setBettruhe

          public void setBettruhe(Boolean bettruhe)

    - #### getDiagnose

          public String getDiagnose()

      Diagnose als Freitext.
      Bedingtes Pflichtfeld: es muss entweder dieses Feld oder DiagnoseCode und DiagnoseCodeTyp gesetzt sein.
      Format: maximal 250-stellig.
      Returns:
        Diagnose

    - #### setDiagnose

          public void setDiagnose(String diagnoseBezeichnung)

    - #### getDiagnoseCode

          public String getDiagnoseCode()

      Diagnosecode.
      Bedingtes Pflichtfeld: es muss entweder dieses Feld und DiagnoseCodeTyp oder stattdessen alleinig das Feld Diagnose gesetzt sein.
      Format: 7-stellig.
      Returns:
        Diagnosecode

    - #### setDiagnoseCode

          public void setDiagnoseCode(String diagnoseCode)

    - #### getDiagnoseCodeTyp

          public String getDiagnoseCodeTyp()

      Das für den Diagnosecode verwendete Codierungssystem. Bedingtes Pflichtfeld: es muss entweder dieses Feld und Diagnosecode oder stattdessen alleinig das Feld Diagnose gesetzt sein.
      Format: 2-stellig
      Mögliche Werte `IAumService#getDiagnoseCodeTyp()`.
      Returns:
        Verwendetes Codierungssystem

    - #### setDiagnoseCodeTyp

          public void setDiagnoseCodeTyp(String diagnoseCodeSystem)

    - #### getGehunfaehigBis

          public String getGehunfaehigBis()

      Ende der Gehunfähigkeit.
      Format: 10-stellig, TT.MM.JJJJ
      Returns:
        Ende der Gehunfähigkeit

    - #### setGehunfaehigBis

          public void setGehunfaehigBis(String gehunfaehigBis)

    - #### getGipsBis

          public String getGipsBis()

      Datum, bis zu dem ein Gipsverband getragen werden muss.
      Muss größer oder gleich ArbeitsunfaehigVon sein.
      Format: 10-stellig, TT.MM.JJJJ
      Returns:
        Datum, bis zu dem ein Gipsverband getragen werden muss

    - #### setGipsBis

          public void setGipsBis(String gipsBis)

    - #### getBesondereMitteilungAnSVT

          public String getBesondereMitteilungAnSVT()

      Interne Mitteilung des Arztes an den KVT.
      ACHTUNG Dieses Feld sollte an der Anzeige "zusätzliche Information" lauten.
      Format: maximal 250-stellig
      Returns:
        Interne Mitteilung des Arztes an den KVT

    - #### setBesondereMitteilungAnSVT

          public void setBesondereMitteilungAnSVT(String intMitteilungSVT)

    - #### getStromunfall

          public Boolean getStromunfall()

      Gibt an, ob es sich um einen Stromunfall handelt.
      Returns:
        Kennzeichen, ob es sich um einen Stromunfall handelt

    - #### setStromunfall

          public void setStromunfall(Boolean stromunfall)

    - #### getSvtCode

          public String getSvtCode()

      Gibt den Code des KVT an.
      Pflichtfeld für Meldungen für Patienten "mit Anspruchsprüfung" (Flag ungeprüft in `Person` nicht gesetzt).
      Die Eingabe des Wertes `AL` (für ALLE) bewirkt, dass die Meldung an alle KVTs, bei denen der Patient versichert ist, gesendet wird.
      Für EKVK-Patienten ist der Code der Gebietskrankenkasse des Bundeslandes, in dem sich die Ordination befindet, anzugeben. Andernfalls wird der angegebene Code vom Server mit diesem Code überschrieben.
      Für "ungeprüfte" Meldungen darf der Wert `AL` nicht verwendet werden.
      Format: 2-stellig
      Returns:
        Code des KVT

    - #### setSvtCode

          public void setSvtCode(String svtCode)

    - #### getVoraussichtlichArbeitsunfaehigBis

          public String getVoraussichtlichArbeitsunfaehigBis()

      Voraussichtliches Ende der Arbeitsunfähigkeit.
      Muss größer oder gleich ArbeitsunfaehigVon" sein.
      Format: 10-stellig, TT.MM.JJJJ
      Returns:
        Voraussichtliches Ende der Arbeitsunfähigkeit

    - #### setVoraussichtlichArbeitsunfaehigBis

          public void setVoraussichtlichArbeitsunfaehigBis(String voraussEndeArbeitsunfaehigkeit)

    - #### getWiederbestellung

          public String getWiederbestellung()

      Datum der Wiederbestellung. Muss größer oder gleich ArbeitsunfaehigVon sein.
      Format: 10-stellig, TT.MM.JJJJ.
      Returns:
        Datum der Wiederbestellung

    - #### setWiederbestellung

          public void setWiederbestellung(String wiederbestellung)

    - #### getZusatzdiagnoseCode

          public String getZusatzdiagnoseCode()

      Code für die Zusatzdiagnose.
      Format: 3-stellig
      Mögliche Werte: `IAumService#getZusatzdiagnoseCodes()`.
      Returns:
        Code für die Zusatzdiagnose

    - #### setZusatzdiagnoseCode

          public void setZusatzdiagnoseCode(String zusatzICD)

    - #### getOrt

          public String getOrt()

      Wohnanschrift - Ort.
      Format: maximal 40-stellig
      Returns:
        Wohnanschrift - Ort

    - #### setOrt

          public void setOrt(String ort)

    - #### getPlz

          public String getPlz()

      Wohnanschrift - Postleitzahl.
      Format: maximal 9-stellig
      Returns:
        Wohnanschrift - Postleitzahl

    - #### setPlz

          public void setPlz(String plz)

    - #### getStrasse

          public String getStrasse()

      Wohnanschrift - Straße und Nummer.
      Format: maximal 50-stellig
      Returns:
        Wohnanschrift - Straße und Nummer

    - #### setStrasse

          public void setStrasse(String strasse)

    - #### getRueckdatierungsgrundCode

          public String getRueckdatierungsgrundCode()

      Code für die Begründung der Rückdatierung der Meldung.
      Bedingtes Pflichtfeld: muss gesetzt sein, wenn ArbeitsunfaehigVon mehr als einen Arbeitstag vor BehandlungsDatum liegt (Feiertage werden ignoriert, d.h. sie werden als Arbeitstag gerechnet, wenn der Wochentag, auf den sie fallen, ein Arbeitstag ist).
      Format: 2-stellig.
      Mögliche Werte: `IAumService#getRueckdatierungsgrundCodes()`.
      Returns:
        Code für die Begründung der Rückdatierung der Meldung

    - #### setRueckdatierungsgrundCode

          public void setRueckdatierungsgrundCode(String rueckdatierungsgrundCode)

    - #### getStaatencode

          public String getStaatencode()

      Wohnanschrift - Staatencode (ISO A3).
      Format: 3-stellig.
      Mögliche Werte: `getStaaten()`.
      Returns:
        Code für Staat

    - #### setStaatencode

          public void setStaatencode(String staatencode)